// Add the macros defined in board.h
#include "board.h"

/* This next bit is complicated.  I'm creating a pointer to the address of the LEDs.  Things to note:
 *  1.  BYTE *   -- this pointer can be used to load or store bytes
 *  2.  volatile --  this tells the compiler not to treat the location as memory. Otherwise it may remove
 *                          loads and stores because it thinks their value may not change. 
 *  3. cast int LED_IO_PORT to (volatile const BYTE *)  sets the address of this pointer.
 */
volatile BYTE * LED = (volatile BYTE*) LED_IO_PORT;  


// This is where the program starts. Don't use main
int runme(){
  BYTE x = 0xF;  // use to turn the lights on
  do{
      *LED = x;
      wait_for_n_cycles(20000000);
      *LED = 0;
      wait_for_n_cycles(20000000);
  }while(1);
  
  return 0;
}
